<!DOCTYPE html>
<html><head>
<title>eric7.RemoteServerInterface.EricServerConnectionDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.RemoteServerInterface.EricServerConnectionDialog</h1>
<p>
Module implementing a dialog to enter the parameters for a connection to an eric-ide
server.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricServerConnectionDialog">EricServerConnectionDialog</a></td>
<td>Class implementing a dialog to enter the parameters for a connection to an eric-ide server.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricServerConnectionDialog" ID="EricServerConnectionDialog"></a>
<h2>EricServerConnectionDialog</h2>
<p>
    Class implementing a dialog to enter the parameters for a connection to an eric-ide
    server.
</p>

<h3>Derived from</h3>
QDialog, Ui_EricServerConnectionDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricServerConnectionDialog.__init__">EricServerConnectionDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricServerConnectionDialog.__updateOK">__updateOK</a></td>
<td>Private slot to update the enabled state of the OK button.</td>
</tr>
<tr>
<td><a href="#EricServerConnectionDialog.getData">getData</a></td>
<td>Public method to get the entered data.</td>
</tr>
<tr>
<td><a href="#EricServerConnectionDialog.getProfileData">getProfileData</a></td>
<td>Public method to get the entered data for connection profile mode.</td>
</tr>
<tr>
<td><a href="#EricServerConnectionDialog.setProfileData">setProfileData</a></td>
<td>Public method to set the connection profile data to be edited.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricServerConnectionDialog.__init__" ID="EricServerConnectionDialog.__init__"></a>
<h4>EricServerConnectionDialog (Constructor)</h4>
<b>EricServerConnectionDialog</b>(<i>profileNames=None, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>profileNames</i> (list of str (optional))</dt>
<dd>
list of defined connection profile names (defaults to None)
</dd>
<dt><i>parent</i> (QWidget (optional))</dt>
<dd>
reference to the parent widget (defaults to None)
</dd>
</dl>
<a NAME="EricServerConnectionDialog.__updateOK" ID="EricServerConnectionDialog.__updateOK"></a>
<h4>EricServerConnectionDialog.__updateOK</h4>
<b>__updateOK</b>(<i></i>)
<p>
        Private slot to update the enabled state of the OK button.
</p>

<a NAME="EricServerConnectionDialog.getData" ID="EricServerConnectionDialog.getData"></a>
<h4>EricServerConnectionDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to get the entered data.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple containing the entered host name or IP address, the port number
            and the timeout (in seconds)
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (str, int, int)
</dd>
</dl>
<a NAME="EricServerConnectionDialog.getProfileData" ID="EricServerConnectionDialog.getProfileData"></a>
<h4>EricServerConnectionDialog.getProfileData</h4>
<b>getProfileData</b>(<i></i>)
<p>
        Public method to get the entered data for connection profile mode.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple containing the profile name, host name or IP address,
            the port number and the timeout (in seconds)
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (str, str, int, int)
</dd>
</dl>
<a NAME="EricServerConnectionDialog.setProfileData" ID="EricServerConnectionDialog.setProfileData"></a>
<h4>EricServerConnectionDialog.setProfileData</h4>
<b>setProfileData</b>(<i>name, hostname, port, timeout</i>)
<p>
        Public method to set the connection profile data to be edited.
</p>

<dl>

<dt><i>name</i> (str)</dt>
<dd>
profile name
</dd>
<dt><i>hostname</i> (str)</dt>
<dd>
host name or IP address
</dd>
<dt><i>port</i> (int)</dt>
<dd>
port number
</dd>
<dt><i>timeout</i> (int)</dt>
<dd>
timeout value in seconds
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
